import { TechInterface } from './tech-interface';
import { Quality } from '../models/quality';
import { Logger } from 'nas-logger';
export declare class HlsTech implements TechInterface {
    url: string;
    player: any;
    headers: any;
    logger: Logger;
    recover_take: number;
    is_live: boolean;
    eventHandler: any;
    autoplay: boolean;
    onLicenseError: any;
    videoElement: HTMLMediaElement;
    manifestParsedHandler: any;
    levelLoadedHandler: any;
    errorHandler: any;
    init(videoElement: HTMLMediaElement, url: string, autoplay: boolean, debug: boolean, eventHandler: any, headers: any, protData: any, onLicenseError: any): void;
    private attachHandlers;
    private detachHandlers;
    getPlayer(): any;
    isLive(): boolean;
    getAudioTracks(): any[];
    setAudioTrack(index: number): void;
    getQualities(): Quality[];
    setQuality(index: number): void;
    getCurrentQuality(): Quality;
    setMaxQuality(): void;
    destroy(): void;
}
