import { MediaPlayer } from "hasplayer.js";
import { TechInterface } from "./tech-interface";
import { Quality } from "../models/quality";
export declare class SmoothTech implements TechInterface {
    player: MediaPlayer;
    init(videoElement: HTMLMediaElement, url: string, autoplay: boolean, debug: boolean, eventHandler: any, headers: any, protData: any, onLicenseError: any): void;
    getPlayer(): MediaPlayer;
    isLive(): any;
    getAudioTracks(): any[];
    setAudioTrack(): void;
    getQualities(): any;
    setQuality(index: any): void;
    setMaxQuality(): void;
    getCurrentQuality(): Quality;
    destroy(): void;
}
